﻿// 在 ASP.NET MVC 中创建自定义 HtmlHelper 示例代码
// http://snowdream.cnblogs.com/

using System.Collections.Generic;
using System.Web.Mvc;

namespace Snowdream.Demo.LinkWithDescription.Controllers
{
    public class HomeController : Controller
    {
        /// <summary>
        /// Demo
        /// </summary>
        /// <returns>Demo视图</returns>
        public ActionResult Demo()
        {
            // 创建链接信息列表
            List<LinkInfo> links = new List<LinkInfo>();
            links.Add(new LinkInfo { Description = "这是测试链接1的描述", Title = "测试链接1", Url = "#" });
            links.Add(new LinkInfo { Description = "这是测试链接2的描述", Title = "测试链接2", Url = "#" });
            links.Add(new LinkInfo { Description = "这是测试链接3的描述", Title = "测试链接3", Url = "#" });

            ViewData["Links"] = links;

            return View();
        }

    }
}
